Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class WhereResponseType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.WhereResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ResidentialAddressResponseType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class WhereResponseType

extends Object
implements Serializable

City and country

Java class for WhereResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="WhereResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CountryCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CountryName" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CityCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CityName" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`WhereResponseType()`

Method Summary
`String` | `getCityCode()` Gets the value of the cityCode property.
`List<NameType>` | `getCityNames()` Gets the value of the cityNames property.
`String` | `getCountryCode()` Gets the value of the countryCode property.
`List<NameType>` | `getCountryNames()` Gets the value of the countryNames property.
`void` | `setCityCode(String value)` Sets the value of the cityCode property.
`void` | `setCountryCode(String value)` Sets the value of the countryCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhereResponseType

    public WhereResponseType()

Method Detail

### getCountryCode

    public String getCountryCode()

  Gets the value of the countryCode property.

  Returns:
    possible object is `String`

### setCountryCode

    public void setCountryCode(String value)

  Sets the value of the countryCode property.

  Parameters:
    `value` - allowed object is `String`

### getCountryNames

    public List<NameType> getCountryNames()

  Gets the value of the countryNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

  For example, to add a new item, do as follows:

          getCountryNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getCityCode

    public String getCityCode()

  Gets the value of the cityCode property.

  Returns:
    possible object is `String`

### setCityCode

    public void setCityCode(String value)

  Sets the value of the cityCode property.

  Parameters:
    `value` - allowed object is `String`

### getCityNames

    public List<NameType> getCityNames()

  Gets the value of the cityNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cityNames property.

  For example, to add a new item, do as follows:

          getCityNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.